<?xml version="1.0" encoding="utf-8"?>

<ScrollView 
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@drawable/bg2">

<LinearLayout
    android:layout_width="match_parent"
    android:layout_height="513dp"
    android:orientation="vertical"
    android:paddingBottom="25dp"
    android:paddingTop="10dp" >
    
    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="52dp"
        android:background="@drawable/bg5"
        android:paddingBottom="10dp" >

    <TextView
        android:id="@+id/datalogs"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:textSize="30dp"
        android:textColor="#FFFFFF"
        android:text="Data Logs" />
    </RelativeLayout>
    
   <RelativeLayout 
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="20dp"
 		android:paddingRight="15dp"
        android:paddingLeft="15dp"
        android:paddingBottom="10dp">

     <TextView
         android:id="@+id/logid"
         android:layout_width="60dp"
         android:layout_height="match_parent"
         android:layout_alignParentLeft="true"
         android:layout_alignParentTop="true"
         android:textColor="#FFFFFF"
         android:textSize="20dp" />

     <TextView
         android:id="@+id/logtime"
         android:layout_width="80dp"
         android:layout_height="match_parent"
         android:layout_alignBaseline="@+id/logdate"
         android:layout_alignBottom="@+id/logdate"
         android:layout_marginRight="14dp"
         android:layout_toLeftOf="@+id/logdate"
         android:textColor="#FFFFFF"
         android:textSize="20dp" />

     <TextView
         android:id="@+id/logdate"
         android:layout_width="80dp"
         android:layout_height="match_parent"
         android:layout_alignParentRight="true"
         android:layout_alignParentTop="true"
         android:layout_marginRight="14dp"
         android:textColor="#FFFFFF"
         android:textSize="20dp" />
     
   </RelativeLayout>
   
   <LinearLayout 
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingRight="15dp"
        android:paddingTop="15dp"
        android:paddingLeft="15dp"
        android:paddingBottom="10dp">

       <TextView
           android:id="@+id/data"
           android:layout_width="60dp"
           android:layout_height="match_parent"
           android:text="Data1 :"
           android:textColor="#FFFFFF"
           android:textSize="20dp" />
    
    <EditText
        android:id="@+id/entry1"
        android:layout_width="200dp"
        android:layout_height="wrap_content"
        android:background="@android:drawable/editbox_background" />

       </LinearLayout>
         <LinearLayout 
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingRight="15dp"
        android:paddingTop="15dp"
        android:paddingLeft="15dp"
        android:paddingBottom="10dp"
        android:visibility="invisible" 
        >

       <TextView
           android:id="@+id/data1"
           android:layout_width="60dp"
           android:layout_height="match_parent"
           android:text="Data2 :"
           android:textColor="#FFFFFF"
           android:textSize="20dp" />
    
    <EditText
        android:id="@+id/entry2"
        android:layout_width="200dp"
        android:layout_height="wrap_content"
        android:background="@android:drawable/editbox_background" />

       </LinearLayout>

   <LinearLayout
       android:layout_width="match_parent"
       android:layout_height="wrap_content"
       android:paddingBottom="10dp"
       android:visibility="invisible" >

       <TextView
           android:id="@+id/textView1"
           android:layout_width="wrap_content"
           android:layout_height="wrap_content"
           android:text="Device1"
           android:textColor="#ffffff"
           android:textSize="20sp" />

       <Button
           android:id="@+id/b1"
           android:layout_width="90dp"
           android:layout_height="81dp"
           android:background="@drawable/power"
           android:textStyle="bold" />

       <EditText
           android:id="@+id/device1"
           android:layout_width="match_parent"
           android:layout_height="wrap_content"
           android:background="@android:drawable/editbox_background"
           android:ems="10" >

         
       </EditText>
   </LinearLayout>
     
     	<LinearLayout
     	    android:layout_width="match_parent"
     	    android:layout_height="wrap_content"
     	    android:paddingBottom="10dp"
     	    android:visibility="invisible" >
 
        <TextView
        android:id="@+id/textView2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Device2"
        android:textColor="#ffffff"
        android:textSize="20sp" />          

 		<Button
 		    android:id="@+id/b2"
 		    android:layout_width="90dp"
 		    android:layout_height="80dp"
 		    android:background="@drawable/power"
 		    android:textStyle="bold" />

   		<EditText
        android:id="@+id/device2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
       android:background="@android:drawable/editbox_background"
        android:ems="10" />
    	
    	</LinearLayout>
    
       <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="10dp" 
        android:visibility="invisible" >
        
        <TextView
        android:id="@+id/textView3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Device3"
        android:textColor="#ffffff"
        android:textSize="20sp" />          
 		
 		<Button
        	    android:id="@+id/b3"
        	   android:layout_width="90dp"
            android:layout_height="81dp"
        	    android:background="@drawable/power"
        	    android:textStyle="bold" />
   		<EditText
        android:id="@+id/device3"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
       android:background="@android:drawable/editbox_background"
        android:ems="10" />
   		    
   		 </LinearLayout>

       <LinearLayout
       android:layout_width="match_parent"
       android:layout_height="wrap_content"
       android:paddingBottom="10dp"
       android:visibility="invisible"  >

       <TextView
           android:id="@+id/textView4"
           android:layout_width="wrap_content"
           android:layout_height="wrap_content"
           android:text="Device4"
           android:textColor="#ffffff"
           android:textSize="20sp" />

       <Button
           android:id="@+id/b4"
           android:layout_width="90dp"
           android:layout_height="81dp"
           android:background="@drawable/power"
           android:textStyle="bold" />

       <EditText
           android:id="@+id/device4"
           android:layout_width="match_parent"
           android:layout_height="wrap_content"
           android:background="@android:drawable/editbox_background"
           android:ems="10" >

         
       </EditText>
   </LinearLayout>
     
     	<LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="10dp" 
        android:visibility="invisible" > 
        <TextView
        android:id="@+id/textView5"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Zincovit"
        android:textColor="#ffffff"
        android:textSize="20sp" />          
 		<Button
        	    android:id="@+id/b5"
        	   android:layout_width="90dp"
            android:layout_height="81dp"
        	    android:background="@drawable/power"
        	    android:textStyle="bold" />
   		<EditText
        android:id="@+id/device5"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
       android:background="@android:drawable/editbox_background"
        android:ems="10" />
    	
    	</LinearLayout>
    
       <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="10dp" 
        android:visibility="invisible" > 
        
        <TextView
        android:id="@+id/textView6"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="PAN40"
        android:textColor="#ffffff"
        android:textSize="20sp" />          
 		
 		<Button
        	    android:id="@+id/b6"
        	   android:layout_width="90dp"
            android:layout_height="81dp"
        	    android:background="@drawable/power"
        	    android:textStyle="bold" />
   		<EditText
        android:id="@+id/device6"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
       android:background="@android:drawable/editbox_background"
        android:ems="10" />
   		    
   		 </LinearLayout>
       
     
     
     	<LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="10dp" 
        android:visibility="invisible" > 
        <TextView
        android:id="@+id/textView7"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Device 7"
        android:textColor="#ffffff"
        android:textSize="20sp" />          
 		<Button
        	    android:id="@+id/b7"
        	    android:layout_width="90dp"
                android:layout_height="81dp"
        	    android:background="@drawable/power"
        	    android:textStyle="bold" />
   		<EditText
        android:id="@+id/device7"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
       android:background="@android:drawable/editbox_background"
        android:ems="10" />
    	
    	</LinearLayout>
    
       <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="10dp"
        android:visibility="invisible" > 
        
        <TextView
        android:id="@+id/textView8"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Device 8"
        android:textColor="#ffffff"
        android:textSize="20sp" />          
 		
 		<Button
        	    android:id="@+id/b8"
        	   android:layout_width="90dp"
            android:layout_height="81dp"
        	    android:background="@drawable/power"
        	    android:textStyle="bold" />
   		<EditText
        android:id="@+id/device8"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
       android:background="@android:drawable/editbox_background"
        android:ems="10" />
   		    
   		 </LinearLayout>
</LinearLayout>

</ScrollView>